#import <Cocoa/Cocoa.h>
# import "My_CPPD_Lattice.h"
#import "My_CPPD_Space_View.h"

#import "DataStatistics.h"
#import "Time_Point_Data_Array_controller.h"

//#include "gnuplot_i.h"


@interface My_CPPD_controller :  NSObject  {
	
	double parametros[2];
	
	int init_option;
	int Y_transect_location;
	
	NSTimer	*nsTimerRef;	
	My_CPPD_Lattice *simulation;
	DataStatistics *simulation_stats; 
	Time_Point_Data_Array_controller *time_series;
	
	IBOutlet id Space_View;
	IBOutlet id SpaceTime_View;
	
	IBOutlet NSArrayController *Time_Point_Data_Array_controller;
	
	
	IBOutlet  NSTextField    *parameter_d_TextField;
	IBOutlet  NSTextField    *parameter_b_TextField;
	
	IBOutlet NSSlider *MySlider;


	
	
	}


- (IBAction) initConfiguration:(id)sender;
- (IBAction) startAnimation:(id)sender;
- (IBAction) stopAnimation:(id)sender;
- (IBAction) quitProgram:(id)sender;

- (IBAction) setInitOption_0:(id)sender;
- (IBAction) setInitOption_1:(id)sender;
- (IBAction) setInitOption_2:(id)sender;

- (IBAction) setYPosition:(id)sender;

- (IBAction) setParameter_d:(id)sender;
- (IBAction) setParameter_b:(id)sender;

-(void) animation_loop;

@end
